Bug 1004767 - Decision Table Wizard: expand columns section has two default behaviours
Decision Table Wizard: expand columns section has two default behaviours
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: manstis
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 08:49 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manstis: needinfo+
zkrejcov: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-05 08:49:12 EDT
Description of problem:
The Columns to expand section contains, at first, a line with a ticked checkbox signifying that all columns will be expanded.

If you go to that section while your working on the GDT definition in the wizard, it works as expected. The box is checked and the finished table has all columns expanded according to value lists.
If you don't go to that section, it behaves as if the box was unchecked. There are no rows in the finished table.

Please select one default behaviour and use it for both cases.


Version-Release number of selected component (if applicable):
BRMS 6.0 ER2
Comment 5 Radovan Synek 2013-10-22 07:54:21 EDT
The behaviour is without change - if I skip "Columns to expand" page, columns are not expanded. If I go through this page (without changing anything on it), I can see expanded columns in the created table.
Comment 6 manstis 2013-10-23 05:32:52 EDT
What version of kie-wb did you use?

I repeated my test with the current "master" and columns are expanded if you skip the "Column Expansion Page" and if you visit the "Column Expansion Page". 

I used the "mortgages" project; added "Applicant->age" and set a "Optional value list" of "10,20". Two rows are created in both scenarios for "10" and "20".
Comment 7 Zuzana Krejčová 2013-10-23 05:58:46 EDT
This is a question for Radek - he is the QA contact now.
Comment 8 Radovan Synek 2013-10-23 07:49:15 EDT
I have tested this with BPMS-6.0.0.ER4. Now I found out that this issue happens only when you created some GDT with visiting the "Columns to expand" page first.

1. GDT with skipping "Columns to expand" page => columns expanded
2. GDT with visiting "Columns to expand" page => columns expanded
3. repeat step 1, now columns are NOT expanded.

I hope this will help.
Comment 9 manstis 2013-10-24 12:07:23 EDT
Thanks for the steps to replicate. Issue (finally!) found and fixed.
Comment 11 Radovan Synek 2013-12-04 04:45:30 EST
Verified on BRMS-6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.